#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# requires terminal
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Term
%define		pnam	ReadKey
Summary:	Term::ReadKey - Perl module for simple terminal control
Summary(pl.UTF-8):	Term::ReadKey - moduł Perla do prostego sterowania terminalem
Name:		perl-Term-ReadKey
Version:	2.37
Release:	4
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Term/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	e8ea15c16333ac4f8d146d702e83cc0c
URL:		http://search.cpan.org/dist/TermReadKey/
BuildRequires:	perl-ExtUtils-MakeMaker >= 3.5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-TermReadKey
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module, Term::ReadKey, provides ioctl control for terminals so
the input modes can be changed (thus allowing reads of a single
character at a time), and also provides non-blocking reads of stdin,
as well as several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%description -l pl.UTF-8
Moduł Perla Term::ReadKey udostępnia obsługę ioctl dla terminali,
umożliwiając zmianę trybu wejścia (co pozwala na czytanie po jednym
znaku) oraz nieblokujący odczyt z wejścia, a także inne funkcje
związane z terminalem, w tym odczytywanie i modyfikowanie rozmiaru
ekranu oraz odczytywanie i modyfikowanie znaków kontrolnych.

%description -l pt_BR.UTF-8
Este módulo fornece controle via ioctl para terminais, de tal forma
que seus modos de entrada possam ser modificados (desta forma
permitindo a leitura de um caracter somente por vez) e também fornece
leitura não bloqueantes da entrada padrão (stdin), bem como várias
outras características relacionadas a terminais, entre elas a
recuperação/modificação do tamanho da tela e dos caracteres de
controle.

%prep
%setup -q -n TermReadKey-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Term/ReadKey.pm
%dir %{perl_vendorarch}/auto/Term/ReadKey
# empty autosplit.ix
#%%{perl_vendorarch}/auto/Term/ReadKey/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Term/ReadKey/ReadKey.so
%{_mandir}/man3/Term::ReadKey.3pm*
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Term-ReadKey.git;a=log;h=master

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> 4077eb9
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6992bd7
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d3dfaab
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 4a6602f
- Up to 2.37

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8fa0366
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0d14037
- release 2 (by relup.sh)

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d35f120
- up to 2.33

* Wed Mar 11 2015 Jakub Bogusz <qboosh@pld-linux.org> ead9cdc
- versioned ExtUtils::MakeMaker BR, no macro in Obsoletes for old package

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c6a12a
- up to 2.32

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ea354ac
- x32 rebuild
- release 5 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e0ffbec
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f91d771
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6db693a
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7ea78ef
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 824c40b
- up to 2.31

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> ebe2075
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 5f930e3
- rel 7

* Sat Jun 05 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d71ffe
- release 6

* Fri Mar 13 2009 hawk <hawk@pld-linux.org> 608938b
- release 5

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> dd5813c
- generic URL
- informative summaries

